Package org.multiverse.api.references

## Interface TxnRefFactoryBuilder

- All Known Subinterfaces:
    `GammaTxnRefFactoryBuilder`

      public interface TxnRefFactoryBuilder

  A Builder for creating a `TxnRefFactory`. Atm it doesn't provide functionality, but in the future it will contains similar configuration mechanism as the `TxnFactoryBuilder`.

  A TxnRefFactoryBuilder is considered immutable.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TxnRefFactory` | `build()` | Builds a TxnRefFactory.

- - ### Method Detail

    - #### build

          TxnRefFactory build()

      Builds a TxnRefFactory.
      Returns:
        the build reference factory.